#include "common/common.hlsl"

struct input
{
  float2 pos : pos;
  float2 uv : uv;
};

struct output
{
  float4 pos : SV_Position;
  float2 uv : TEXCOORD0;
};

output main(input i)
{
  output o;
  o.pos = mul(world_to_projection, float4(i.pos, 0, 1));
  o.uv = i.uv;
  return o;
}